# To change this template, choose Tools | Templates
# and open the template in the editor.

__author__="Florian Wirth"
__date__ ="$15.04.2014 13:25:24$"

import sys
import os

# Variablen anlegen
content = []
title = ""
quantity = 0
movietitles = []
dictcount = {}
dictfiles = {}

# Das Dokument einlesen und in eine Liste aus Strings abspeichern
def readdoc(input):
    file = open(input, "r")

    for line in file:
         content.append(line.strip())

    file.close()
    return content


# Titel der Liste ausgeben
def gettitle(liste):
    index = 0
    global title
    
    while (index<len(liste)):
        if (liste[index] == '#movielist' and liste[index+1][0:5] == 'name:'):
            title = liste[index+1][6:]
        index += 1

    return title
    

# Anzahl der gelisteten Filme ausgeben
def getquantity(liste):
    index = 0
    counter = 0
    global quantity

    while (index<len(liste)):
        if (liste[index] == '#movie'):
            counter += 1
        index += 1

    quantity = counter

    return quantity

# Namen der einzelnen Filme in eine Liste speichern
def getnames(liste):
    index = 0

    while (index<len(liste)):
        if (liste[index] == '#movie' and liste[index+2][0:5] == 'name:'):
            if liste[index+2][5:] in movietitles:
                pass
            else:
                movietitles.append(liste[index+2][5:])        
        
        index +=1

    return movietitles


# Speichert die Anzahl der Wiedergaben der jeweiligen Filme in ein Dictionary
def getcount(liste):
    index = 0

    while (index<len(liste)):
        if (liste[index] == '#movie' and liste[index+2][0:5] == 'name:'):
            if liste[index+2][5:] in dictcount:
                dictcount[liste[index+2][5:]] = dictcount[liste[index+2][5:]] + 1
            else:
                dictcount[liste[index+2][5:]] = 1
        else:
            pass

        index +=1
    
    return dictcount

# Speichert die Dateinamen der jeweiligen Filme in ein Dictionary
def getfilename(liste):
    index = 0

    while (index<len(liste)):
        if (liste[index] == '#movie' and liste[index+1][0:5] == 'file:'):
            dictfiles[liste[index+2][5:]] = liste[index+1][6:]
        index += 1
            
    return dictfiles

# Erstellt das HTML Dokument
def createHTML(document,Titel,Names,Dictcount,Dictfiles):

    document.write("<h2>"+Titel+"</h2>")

    for entry in Names:
        document.write("<p>"+entry+" (Angesehen: "+str(Dictcount[entry])+", Datei: "+Dictfiles[entry]+")</p>")

    document.close()

#
# Main
#
# Wenn genau ein Kommandozeilenparameter uebergeben wurde
if len(sys.argv) == 2:
    # Dokument einlesen und die gewuenschten Informationen rausfiltern
    readdoc(sys.argv[1])
    gettitle(content)
    getquantity(content)
    getnames(content)
    getcount(content)

    # Ergebnisse auf der Konsole ausgeben
    print "Document", content
    print "Title", title
    print "Quantity", quantity
    print "Titles", movietitles
    print "Dict", dict

# Wenn genau zwei Kommandozeilenparameter uebergeben wurden
elif len(sys.argv) == 3:
    # Dokument einlesen
    readdoc(sys.argv[1])

    print "erstelle HTML Dokument..."

    # Pruefe ob Datei bereits exisitert
    if os.path.exists(sys.argv[2]+".html") == True:
        HTMLdocument = open(sys.argv[2]+"2.html","w")
    else:
        HTMLdocument = open(sys.argv[2]+".html","w")

    # HTML Dokument wird mit den gewuenschten Eigenschaften erstellt
    createHTML(HTMLdocument,gettitle(content),getnames(content),getcount(content),getfilename(content))

    print "done"

# Wenn kein oder zuviele Argumente uebergeben wurden
else:
    print "Keine oder zuviele Argumente uebergeben"